function r0=fram_threPb(r,mu)
[vr, ~]=size(r);
r0=cell(vr,1);
for kk=1:vr
a=r{kk};
[va, ha]=size(a);
b=cell(va,ha);
for vv=1:va
for hh=1:ha
x=a{vv,hh};
b{vv,hh}=t_mu(x,mu);
end
end 
r0{kk}=b;
end

function k=t_mu(w,mu)

r=mu*ones(size(w));
s=sign(w);
aw=abs(w);
k=(aw-r).*s;
k=k.*(aw>mu);
 %k(find(aw<=mu))=0;
 